#if !defined(AFX_EDITCH_H__1B85F85E_FDFA_4C00_9DA5_01DD5FAC02F3__INCLUDED_)
#define AFX_EDITCH_H__1B85F85E_FDFA_4C00_9DA5_01DD5FAC02F3__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// EditCH.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CEditCH dialog

class CEditCH : public CDialog
{
// Construction
public:
	CEditCH(CWnd* pParent = NULL);   // standard constructor
	CEditCH(IApplication *pApp);
// Dialog Data
	//{{AFX_DATA(CEditCH)
	enum { IDD = IDD_CH_EDIT };
	CButton	m_Btn_SigSave;
	CButton	m_Btn_PhotoSave;
	CEdit	m_cnt_age;
	CEdit	m_cnt_country;
	CEdit	m_cnt_State;
	CEdit	m_Cnt_St;
	CEdit	m_Cnt_PHno;
	CEdit	m_Cnt_DOB;
	CEdit	m_Cnt_LName;
	CEdit	m_cnt_FName;
	CComboBox	m_ChList;
	CListBox	m_Nfts;
	CComboBox	m_AcctList;
	CComboBox	m_SubAcctList;
	CString	m_Age;
	CString	m_Country;
	CString	m_DOB;
	CString	m_FirstName;
	CString	m_LastName;
	CString	m_Phno;
	CString	m_Street;
	CString	m_State;
	CStringArray m_Nfnames;	//WPACT-1002
	CStringArray m_Nfvalues;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CEditCH)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CEditCH)
		virtual BOOL OnInitDialog();
	afx_msg void OnSelchangeAcctlist();
	afx_msg void OnSelchangeSubAcctlist();
	afx_msg void OnSelchangeChlist();
	afx_msg void OnEdit();
	afx_msg void OnPhoto();
	afx_msg void OnSig();
	afx_msg void OnSave();
	afx_msg void OnSaveSig();
	afx_msg void OnDelphoto();
	afx_msg void OnDelsig();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	IApplicationPtr pApplication;
	ICardHolderPtr	pCardHolder;
	void LoadAccounts();
	void LoadSubAccounts();
	void GetNFtemplateDetails();
	void LoadCardHolders();
	void GetCHDetails();
	VARIANT varPhoto;
	VARIANT varSignature;
	_variant_t vgetphoto;
	_variant_t vgetSignature;
	
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_EDITCH_H__1B85F85E_FDFA_4C00_9DA5_01DD5FAC02F3__INCLUDED_)
